#!/bin/bash

# deb install
# $1 - deb file
# $2 - result file txt

logger ANN INSTALL DEB $*
d=$1
f=$2
D="/var/tmp/AnnServer_Distr"
mkdir -p  $D > /dev/null 2>&1
cp "$d" "$D"

# remove old debs, "name" - is first part before "_"
cd "$D"
for f1 in $( ls *.deb | awk -F "_" '{print $1}' | uniq ); do
    f1c=$(ls *.deb | grep "$f1\_" | wc -l ) # count of same "name" packets
    if (( f1c > 1 )); then
        ((f1c--))
        rm $(ls *.deb | grep "$f1\_" | sort | head -n $f1c)
    fi
done

systemd-run bash -c "export LC_ALL=C; DEBIAN_FRONTEND=noninteractive apt --assume-no install '$d' | grep -E 'успешно выполнена|version|DOWNGRADED' > $f; \
[[ \$(grep 'успешно выполнена' $f) ]] || sed -i '1s/^/СБОЙ: /' $f; "
